import request from '@/utils/request'
import { formatFileUrl } from '@/filters'

export function uploadFile(type, data) {
  return request({
    url: `fileMge/upload/${type}`,
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: data
  })
}

export function downloadTemplate(type) {
  window.open(formatFileUrl(`fileMge/temp/${type}`), '_blank')
}
export function uploadExcel(type, data) {
  const module = type === 'SYSTEM' ? 'app' : 'business'
  return request({
    url: `${module}/batchAdd`,
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: data
  })
}

export function fetchFileList(data) {
  return request({
    url: 'fileMge/search',
    method: 'post',
    data: data
  })
}

export function fetchTopN(type, limit) {
  return request({
    url: `fileMge/top/${type}/${limit}`
  })
}

export function pushDeleteFile(id) {
  return request({
    url: `fileMge/delete/${id}`
  })
}
