import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import ElementUI from 'element-ui'
import './styles/element-variables.scss'

import '@/styles/index.scss' // global css

import App from './App'
import store from './store'
import router from './router'

import * as filters from './filters' // global filters

import '@/icons' // icon
import '@/permission' // permission control

Vue.use(ElementUI)

import SSE from 'vue-sse'
Vue.use(SSE)
// Use VueSSE, including a polyfill for older browsers
// Vue.use(VueSSE, {
//   polyfill: true
// })

import { jumpTo } from '@/utils/log'
Vue.prototype.$jumpTo = jumpTo

// 插件形式
// Vue.use(function install(Vue) {
//   Vue.prototype.$jumpTo = jumpTo
// })

// register global utility filters
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

Vue.config.productionTip = false

new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
